#
# spec file for package xpilot (Version 3.6.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  rplay

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xpilot
Release:      16
Copyright:    1991-95 Bjoern Stabell, Ken Ronny Schouten, Bert Gijsbers
Group: 
Provides:     xpilot xpilot32 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.6.2
Summary:      A multiplayer arcade game
Source: xpilot-3.6.2.tar.gz
Patch: xpilot-3.6.2.dif
%description
A shoot'em up which can be played by several players in a
network. Please note that you have to start the server (xpilots)
before starting the client (xpilot, plus the name of the computer
which runs the server). Several maps can be found in
/usr/local/games/lib/xpilot/maps/ 
Doku: /usr/doc/packages/xpilot

Authors:
--------
    Bjoern Stabell <bjoerns@staff.cs.uit.no>
    Ken Ronny Schouten <kenrsc@stud.cs.uit.no>
    Bert Gijsbers <bert@mc.bio.uva.nl>

%prep
%setup
%patch
%build
xmkmf -a
make
%install
mkdir -p /usr/doc/packages/xpilot
make install
make install.man
cp -a doc /usr/lib/xpilot
rm -rf /usr/lib/xpilot/doc/man
rm -rf /usr/doc/packages/xpilot
install -d /usr/doc/packages/xpilot
for file in `ls /usr/lib/xpilot/doc` ; do \
ln -s /usr/lib/xpilot/doc/$file /usr/doc/packages/xpilot/$file ; done
Check
%files
%docdir /usr/X11R6/man
%doc /usr/doc/packages/xpilot
%dir /usr/lib/xpilot
/usr/X11R6/bin/xp-replay
/usr/X11R6/bin/xpilot
/usr/X11R6/bin/xpilots
%doc /usr/X11R6/man/man6/xp-replay.6.gz
%doc /usr/X11R6/man/man6/xpilot.6.gz
%doc /usr/X11R6/man/man6/xpilots.6.gz
/usr/lib/xpilot/doc
/usr/lib/xpilot/maps
/usr/lib/xpilot/textures
%config /usr/lib/xpilot/defaults
%config /usr/lib/xpilot/sounds

